## gcc-or1k-elf 1

=== debian/changelog ===
gcc-or1k-elf (1) experimental; urgency=medium

  * Initial release. Closes: #982893.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 Jan 2021 12:12:28 +0000
