## gcc-or1k-elf 1.0.1

=== debian/changelog ===
gcc-or1k-elf (1.0.1) unstable; urgency=medium

  * Reupload to unstable.

  [ Nicolas Boulenguez ]
  * Fix Built-Using with GCC source version instead of binary version.
  * autoreconf2.69 all modules except libiberty, apparently broken.
  * Enable post-build checks
  * Allow the binary package to satisfy Multi-Arch: foreign dependencies.
  * Run update_autotools_config (after source extraction...).
  * Fix DESTDIR when build path contains space characters.
  * Fix dh_strip when GNU type contains underscore characters.
  * Split debian/rules in short debhelper configuration files.
  * Minor style issues.
  * Rebuild with binutils-2.37 and gcc-11.

  [ Jonas Smedegaard ]
  * fix my email address in Uploaders field

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Sep 2021 18:12:37 +0200
