=== debian/control ===
Source: gcc-or1k-elf
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 autogen,
 binutils-or1k-elf,
 bison,
 debhelper-compat (= 13),
 dejagnu,
 flex,
 gawk,
 gcc-11-source,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 xz-utils,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/gcc-or1k-elf.git
Vcs-Browser: https://salsa.debian.org/debian/gcc-or1k-elf

Package: gcc-or1k-elf
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 binutils-or1k-elf,
Suggests:
 gcc-${gcc-version-major}-doc,
 gcc-${gcc-version-major}-locales,
Built-Using: ${Built-Using}
Description: GNU C compiler for the Open RISC 1000 processors
 This package provides GNU C compiler for a specific hardware and
 operating system combination.  You don’t need it unless you plan to
 cross-compile programs for it from another operating system.
 .
 This package targets the Open RISC 1000 processors.
