## gcc-or1k-elf 1.0.3

=== debian/changelog ===
gcc-or1k-elf (1.0.3) unstable; urgency=medium

  [ Joel Stanley ]
  * Remove strip of libgcc.a and libgcov.a

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 May 2022 01:59:17 +0200

gcc-or1k-elf (1.0.2) unstable; urgency=medium

  * Remove unused breakout-link lintian override
  * Really fix permissions for liblto_plugin.so
  * tests: avoid a duplication of the GNU type
  * Standards-Version: no change update
  * copyright: update years, add contributors
  * rules: allow empty gcc/patches/git-updates.diff
  * Build with GCC-12

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 May 2022 18:31:44 +0200
