=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-11-source,
+ gcc-12-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
@@ -20,7 +20,7 @@
  xz-utils,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/gcc-or1k-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/gcc-or1k-elf
