=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,10 @@
 tar_dir = /usr/src/gcc-$(gcc-version-major)
 src:
 	tar -xf $(tar_dir)/gcc-*.tar.xz --transform='s|[^/]*|src|'
-	patch -p1 < $(tar_dir)/patches/git-updates.diff
+  # git-updates.diff always exists, but may contain no diff chunk.
+	if grep -q '^---' $(tar_dir)/patches/git-updates.diff; then \
+	  patch -p1 < $(tar_dir)/patches/git-updates.diff; \
+	fi
 	patch -p1 < $(tar_dir)/patches/gcc-gfdl-build.diff
 	patch -p1 < debian/fix-autoreconf.diff
 
@@ -67,13 +70,12 @@
 override_dh_auto_install:
 	cd bld && $(MAKE) install DESTDIR='$(CURDIR)/debian/tmp' AM_UPDATE_INFO_DIR=no
 
-execute_before_dh_fixperms:
-	chmod 644 debian/tmp/usr/libexec/gcc/$(gnu_type)/$(gcc-version-major)/liblto_plugin.so
-
+# The archive may be stripped, but
+# * not for the or1k-elf target, see commit d4e32cd0
+# * that would be $(gnu_type)-strip, not $(DEB_HOST_GNU_TYPE)-strip
 override_dh_strip:
 	dh_strip --exclude=.a
-	$(gnu_type)-strip --remove-section=.comment --remove-section=.note \
-	  debian/gcc-*/usr/lib/gcc/*/*/lib*.a
+	chmod 644 debian/gcc-*/usr/libexec/gcc/*/*/liblto_plugin.so
 
 # The private shared library needs no ldconfig trigger.
 override_dh_makeshlibs:
