## gcc-or1k-elf 1.0.4

=== debian/changelog ===
gcc-or1k-elf (1.0.4) unstable; urgency=medium

  * Standards-Version: 4.6.2.
  * Prevent link time optimizations. Closes: #1015414.
  * Update syntax of lintian overrides.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Dec 2022 17:38:07 +0000
