=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  xz-utils,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/gcc-or1k-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/gcc-or1k-elf
