=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 include /usr/share/dpkg/pkg-info.mk
 
 # In gcc-10&11, libcpp/expr.c contains format errors.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format
+# lto: https://bugs.debian.org/1015414
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
 
 gnu_type := or1k-elf
 # Not deducible from package name because of possible underscore characters.
