## gcc-or1k-elf 1.0.6

=== debian/changelog ===
gcc-or1k-elf (1.0.6) unstable; urgency=medium

  * Enable link time optimization on the target again.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 30 Aug 2023 21:57:46 +0000

gcc-or1k-elf (1.0.5) unstable; urgency=medium

  * Build with gcc-13. Drop applied fix-autoreconf.diff.
  * Skip post-build tests again.  They take ages for no benefit.
  * Disable link time optimization on target, else the build consumes Gbytes.
  * Disable native language support, depend on gcc-*-locales.
  * Improve the readability of debian/links.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 Aug 2023 12:57:01 +0000
