=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
  binutils-or1k-elf,
  bison,
  debhelper-compat (= 13),
- dejagnu,
+# dejagnu, # when post-build tests are enabled
+ dh-sequence-builtusing,
  flex,
  gawk,
- gcc-12-source,
+ gcc-13-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
@@ -32,7 +33,7 @@
 Suggests:
  gcc-${gcc-version-major}-doc,
  gcc-${gcc-version-major}-locales,
-Built-Using: ${Built-Using}
+Built-Using: ${dh-builtusing:gcc-S-source}
 Description: GNU C compiler for the Open RISC 1000 processors
  This package provides GNU C compiler for a specific hardware and
  operating system combination.  You don’t need it unless you plan to
