=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,15 @@
 include /usr/share/dpkg/buildopts.mk
 include /usr/share/dpkg/pkg-info.mk
 
-# In gcc-10&11, libcpp/expr.c contains format errors.
+# In gcc-10&11&13, libcpp/expr.c contains format errors.
 # lto: https://bugs.debian.org/1015414
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
 
 gnu_type := or1k-elf
 # Not deducible from package name because of possible underscore characters.
+gnu_type_in_deb_name = $(subst _,-,$(gnu_type))
+package = gcc-$(gnu_type_in_deb_name)
+tmpdir = debian/$(package)
 
 gcc-version-major := $(shell sed '/^ gcc-\(.*\)-source,$$/!d;s//\1/;q' debian/control)
 # The Debian packaging calls this BV.
@@ -29,8 +32,9 @@
 	if grep -q '^---' $(tar_dir)/patches/git-updates.diff; then \
 	  patch -p1 < $(tar_dir)/patches/git-updates.diff; \
 	fi
+  # Apply patches, either local or from $(tar_dir)/patches/, with
+  # 'patch -p1 < PATCH':
 	patch -p1 < $(tar_dir)/patches/gcc-gfdl-build.diff
-	patch -p1 < debian/fix-autoreconf.diff
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 override_dh_autoreconf:
@@ -39,6 +43,10 @@
 # libssp: libssp requires glibc
 # Install to the same path hierarchy than other GCCs: neither
 # multiarch components nor GCC minor versions.
+
+# Translations would duplicate the suggested gcc-locales.
+configure_options += --disable-nls
+
 override_dh_auto_configure:
   # Imitate dh_auto_configure -- $(confargs), but without
   # --runstatedir as long as libiberty/configure cannot be refreshed.
@@ -54,6 +62,7 @@
 	  --with-gcc-major-version-only \
 	  --without-included-gettext \
 	  --with-pkgversion='GCC $(gcc-version) Debian $(DEB_VERSION)' \
+	  $(configure_options) \
 	  --with-system-zlib
 
 # Prevent dh_auto_{build,test,install} from parsing Makefile, see
@@ -64,7 +73,9 @@
 	cd bld && $(MAKE) $(addprefix -j,$(DEB_BUILD_OPTION_PARALLEL))
 
 override_dh_auto_test:
-	cd bld && $(MAKE) check
+# Skip tests because they consume a lot of time and space, their
+# results are ignored, and most are redundant with native builds.
+# 	cd bld && $(MAKE) check
 
 # Even if building one package, install in two steps and display
 # explicit install/missing lists.
@@ -76,17 +87,13 @@
 # * that would be $(gnu_type)-strip, not $(DEB_HOST_GNU_TYPE)-strip
 override_dh_strip:
 	dh_strip --exclude=.a
-	chmod 644 debian/gcc-*/usr/libexec/gcc/*/*/liblto_plugin.so
+# dh_fixperms would be more consistent, but comes before dh_strip.
+	chmod 644 $(tmpdir)/usr/libexec/gcc/$(gnu_type)/$(gcc-version-major)/liblto_plugin.so
 
 # The private shared library needs no ldconfig trigger.
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
 
-gencontrol_format = \
-  -v$${Version}+$(DEB_VERSION) \
-  -VBuilt-Using="$${source:Package} (= $${source:Version})"
-gencontrol_args != dpkg-query -Wf'$(gencontrol_format)' \
-                   gcc-$(gcc-version-major)-source
 override_dh_gencontrol:
-	dh_gencontrol -- $(gencontrol_args) \
+	dh_gencontrol -- -v${gcc-version}+$(DEB_VERSION) \
 	  -Vgcc-version-major=$(gcc-version-major)
