## gcc-or1k-elf 1.0.7

=== debian/changelog ===
gcc-or1k-elf (1.0.7) unstable; urgency=medium

  * Standards-Version: 4.7.0 (no changes)
  * Update copyright years
  * Remove one more hardcoding of the GNU type
  * Include buildflags.mk as recommended by dpkg-buildflags
  * Autoreconf libiberty again, it is fixed

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 10 May 2024 18:09:08 +0000
