=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
+# In gcc-10&11&13, libcpp/expr.c contains format errors.
+# lto: https://bugs.debian.org/1015414
+DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
+DPKG_EXPORT_BUILDFLAGS := 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/buildopts.mk
 include /usr/share/dpkg/pkg-info.mk
-
-# In gcc-10&11&13, libcpp/expr.c contains format errors.
-# lto: https://bugs.debian.org/1015414
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
 
 gnu_type := or1k-elf
 # Not deducible from package name because of possible underscore characters.
