## gcc-or1k-elf 1.0.9

=== debian/changelog ===
gcc-or1k-elf (1.0.9) unstable; urgency=medium

  * Build from gcc-14 sources.  Closes: #1092656
  * Autoreconf all subdirectories, updating a list is error-prone
  * Improve generation of symbolic links
  * Enable salsa continuous integration via salsa-ci.yml
  * Prefix debhelper configuration files with the package name
  * Update copyright years

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 11 Jan 2025 16:48:19 +0100

gcc-or1k-elf (1.0.8) unstable; urgency=medium

  * rules: simplify emulation of dh_auto_configure.
  * Remove autogen from Build-Dependencies.  Closes: #1076252.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Dec 2024 17:14:23 +0000
