=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
-# In gcc-10&11&13, libcpp/expr.c contains format errors.
+# -format: errors in libcpp/expr.cc, seen with gcc-10-14
 # lto: https://bugs.debian.org/1015414
 DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
 DPKG_EXPORT_BUILDFLAGS := 1
@@ -39,7 +39,7 @@
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 override_dh_autoreconf:
-	dh_autoreconf autoreconf2.69 -- -f -i -v `grep -v \# debian/autoreconf`
+	dh_autoreconf autoreconf2.69 -- -f -i -v `debian/autoreconf`
 
 # libssp: libssp requires glibc
 # Install to the same path hierarchy than other GCCs: neither
@@ -52,7 +52,8 @@
   # Imitate dh_auto_configure -- $(confargs), but without
   # --runstatedir as long as libiberty/configure cannot be refreshed.
 	install -d bld
-	cd bld && ../src/configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=/usr/lib/$(DEB_HOST_GNU_TYPE) --disable-maintainer-mode --disable-dependency-tracking \
+	$(filter-out --runstatedir=/run, \
+	  $(shell dh_auto_configure -Dsrc -Bbld --no-act)) \
 	  --target=$(gnu_type) \
 	  --disable-shared \
 	  --disable-multilib \
