## gcc-or1k-elf 1.0.10

=== debian/changelog ===
gcc-or1k-elf (1.0.10) unstable; urgency=medium

  * Sort autoreconf subdirectories.  Closes: #1093506.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Jan 2025 19:55:47 +0000
