=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- autogen,
  binutils-or1k-elf,
  bison,
  debhelper-compat (= 13),
@@ -13,7 +12,7 @@
  dh-sequence-builtusing,
  flex,
  gawk,
- gcc-13-source,
+ gcc-14-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
