=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
 override_dh_autoreconf:
-	dh_autoreconf autoreconf2.69 -- -f -i -v `debian/autoreconf`
+	dh_autoreconf autoreconf2.69 -- -f -i -v `grep -v \# debian/autoreconf`
 
 # libssp: libssp requires glibc
 # Install to the same path hierarchy than other GCCs: neither
