## gcc-or1k-elf 1.0.11

=== debian/changelog ===
gcc-or1k-elf (1.0.11) unstable; urgency=medium

  * Build with gcc-15.  Enable LTO.
  * Enable PIE and bind-now for host tools
  * Strip static archives, but only debug symbols
  * Improve the search for new autoreconf directories
  * Remove now redundant Rules-Requires-Root: no

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 30 Oct 2025 15:25:49 +0000
