=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
  dh-sequence-builtusing,
  flex,
  gawk,
- gcc-14-source,
+# On new versions, review the list in debian/autoreconf.
+ gcc-15-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
  libmpfr-dev,
  xz-utils,
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/gcc-or1k-elf.git
 Vcs-Browser: https://salsa.debian.org/debian/gcc-or1k-elf
