=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 # https://wiki.debian.org/PackagingLessCommonBinutilsTargets
 
-# -format: errors in libcpp/expr.cc, seen with gcc-10-14
-# lto: https://bugs.debian.org/1015414
-DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format optimize=-lto
+# -format: errors in libcpp/expr.cc, seen with gcc-15.
+DEB_BUILD_MAINT_OPTIONS := hardening=+all,-format
 DPKG_EXPORT_BUILDFLAGS := 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/buildopts.mk
@@ -38,6 +37,7 @@
 	patch -p1 < $(tar_dir)/patches/gcc-gfdl-build.diff
 
 # _GCC_AUTOCONF_VERSION_CHECK in config/override.m4 requires 2.69.
+# Seen with gcc-15.
 override_dh_autoreconf:
 	dh_autoreconf autoreconf2.69 -- -f -i -v `grep -v \# debian/autoreconf`
 
@@ -48,9 +48,12 @@
 # Translations would duplicate the suggested gcc-locales.
 configure_options += --disable-nls
 
+# Hardering options for host code.
+configure_options += --enable-host-pie --enable-host-bind-now
+
 override_dh_auto_configure:
   # Imitate dh_auto_configure -- $(confargs), but without
-  # --runstatedir as long as libiberty/configure cannot be refreshed.
+  # --runstatedir because of autoconf2.69 (see above).
 	install -d bld
 	$(filter-out --runstatedir=/run, \
 	  $(shell dh_auto_configure -Dsrc -Bbld --no-act)) \
@@ -84,13 +87,14 @@
 override_dh_auto_install:
 	cd bld && $(MAKE) install DESTDIR='$(CURDIR)/debian/tmp' AM_UPDATE_INFO_DIR=no
 
-# The archive may be stripped, but
-# * not for the or1k-elf target, see commit d4e32cd0
-# * that would be $(gnu_type)-strip, not $(DEB_HOST_GNU_TYPE)-strip
 override_dh_strip:
 	dh_strip --exclude=.a
 # dh_fixperms would be more consistent, but comes before dh_strip.
 	chmod 644 $(tmpdir)/usr/libexec/gcc/$(gnu_type)/$(gcc-version-major)/liblto_plugin.so
+  # See 90f50a12 d4e32cd0 0aebd7b3 before changing this.
+	$(gnu_type)-strip --strip-debug \
+	  --remove-section=.comment --remove-section=.note \
+	  $(tmpdir)/usr/lib/gcc/$(gnu_type)/$(gcc-version-major)/lib*.a
 
 # The private shared library needs no ldconfig trigger.
 override_dh_makeshlibs:
